TransferAll Transfers

All Transfers

This section describes how to get all your transfers with Chapa.

Endpoint https://api.chapa.co/v1/transfers

Method GET

  • Authorization : Pass your secret key as a bearer token in the request header to authorize this call.

Query parameters (filters)

You can filter the list of transfers using the following query parameters:

ParameterTypeRequiredDescription
from_datestringnoStart of the date/time range (UTC). See Date and time filters below.
to_datestringnoEnd of the date/time range (UTC). Must be after or equal to from_date when both are provided. See Date and time filters below.
currencystringnoFilter by currency (e.g. ETB, USD).
statusstringnoFilter by transfer status (e.g. success, pending, failed).

Examples:

  • Date only (full day): GET https://api.chapa.co/v1/transfers?from_date=2025-03-01&to_date=2025-03-10
  • Date and time (format YYYY-MM-DDTHH:mm:ss in UTC): GET https://api.chapa.co/v1/transfers?from_date=2025-03-01T13:50:01&to_date=2025-03-10T17:45:00
  • With other filters: GET https://api.chapa.co/v1/transfers?from_date=2025-01-01&to_date=2025-01-31&currency=ETB&status=success
1import requests
2
3 url = "https://api.chapa.co/v1/transfers"
4
5 payload = ""
6 headers = {
7 'Authorization': 'Bearer CHASECK-xxxxxxxxxxxxxxxx'
8 }
9
10 response = requests.request("GET", url, headers=headers, data=payload)
11
12 print(response.text)
13
14

ℹ️
Refer to our Error Codes page for all responses for this request.